Subject: comp.sys.mips #56 - Re: R4200 pin-compatible with 486DX ??

From: Andreas Busse <[email-masked]>
Date: Fri, 20 Aug 93 12:50:05 +0200

I found this article in comp.sys.mips:

In article <[email-masked]>, [email-masked] (Dave Olson) writes:
|> In <[email-masked]> doyle@gaia (Jim Doyle) writes:
|> | Windows Sources, Sept 1993 vol 1 issue 8, p25
|> | 
|> | "By the end of this year, MIPS plans to introduce a small footprint
|> | version of its new low power R4200 RISC CPU that will be 
|> | completely pin compatible with the existing Intel 486DX chips. Using
|> | a special MIPS replacement BIOS [...]
|> | 
|> | [...] and by being pin compatible with the 486, the new chip will
|> | allow system board manufacturers to retrofir existing designed with
|> | little or no component modification"   
|> | -----------
|> | 
|> | I was under the impression that NEC was fabricating the 4200 and that 
|> | it would require additional glue logic (an ASIC that MIPS also developed)
|> | to make it work with an ISA or EISA based PC motherboard ??
|> 
|> Windows Sources is blowing smoke.  The R4200 is compatible with the
|> R4000 PC (if I remember everything right).  That's a long way from the
|> Intel chips.
|> 
|> I hope their other news is more reliable.
|> --
|> 
|> The most beautiful things in the world are              |   Dave Olson
|> those from which all excess weight has been             |   Silicon Graphics
|> removed.  -Henry Ford                                   |   [email-masked]

What do we think about that ?

Andy

---

From: Amos Shapira <[email-masked]>
Date: Fri, 20 Aug 1993 15:52:08 +0300

In message <[email-masked]> you write:
|In article <[email-masked]>, [email-masked] (Dave Olson) w
|rites:
||> In <[email-masked]> doyle@gaia (Jim Doyle) writes:
||> | Windows Sources, Sept 1993 vol 1 issue 8, p25
||> | 
||> | "By the end of this year, MIPS plans to introduce a small footprint
||> | version of its new low power R4200 RISC CPU that will be 
||> | completely pin compatible with the existing Intel 486DX chips. Using
||> | a special MIPS replacement BIOS [...]
||> | 
||> | [...] and by being pin compatible with the 486, the new chip will
||> | allow system board manufacturers to retrofir existing designed with
||> | little or no component modification"   
||> | -----------
||> | 
||> | I was under the impression that NEC was fabricating the 4200 and that 
||> | it would require additional glue logic (an ASIC that MIPS also developed)
||> | to make it work with an ISA or EISA based PC motherboard ??
||> 
||> Windows Sources is blowing smoke.  The R4200 is compatible with the
||> R4000 PC (if I remember everything right).  That's a long way from the
||> Intel chips.
||> 
||> I hope their other news is more reliable.
||> --
||> 
||> The most beautiful things in the world are              |   Dave Olson
||> those from which all excess weight has been             |   Silicon Graphic
|s
||> removed.  -Henry Ford                                   |   [email-masked]
|
|
|What do we think about that ?
|
|Andy

On one hand it sounds like a champ - you take a conventional 486DX board,
change the CPU and viola- you have a risc machine.

But I see two disadvantages to this (as far as my lack of knowledge in
hardware permits me):

1. If you know Dave Olson you should know to listen to him when he doubts about
   the possibility of such a beast (to those who don't know the man - he is the
   guru on the comp.sys.sgi.* news groups and so I heard from someone who
   worked with him,  but I'm not sure how much strong is his h/w side).

2. Maybe more important - you are still stuck with an ISA/EISA bus (right?),
   which I understand is quite limited.  Although the argument of using
   existing hardware from your current boxes is very valid, I would preffer
   to use another bus (dunno what the options are) and hang an EISA on it if
   that's possible.

Cheers,

--Amos

--Amos Shapira (Jumper Extraordinaire) |  "It is true that power corrupts,
C.S. System Group, Hebrew University,  |   but absolute power is better!"
Jerusalem 91904, ISRAEL                |
[email-masked]                    |          -- the Demon to his son